function::kernel_string_utf16
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::kernel_string_utf16 — Retrieves UTF-16 string from kernel memory

## Synopsis

    1) kernel_string_utf16:string(addr:long)

    2) kernel_string_utf16:string(addr:long,err_msg:string)

## Arguments

`addr`

  The kernel address to retrieve the string from

`err_msg`

  The error message to return when data isn't available

## Description

1) This function returns a null terminated UTF-8 string converted from the UTF-16 string at a given kernel memory address. Reports an error on string copy fault or conversion error.

2) This function returns a null terminated UTF-8 string converted from the UTF-16 string at a given kernel memory address. Reports the given error message on string copy fault or conversion error.

Prev | Up | Next
function::kernel_string_quoted_utf32 | Home | function::kernel_string_utf32